Ubuntu

7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"

Reported by loomy on 2007-10-18
212
This bug affects 3 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Michael Vogt
Nominated for Gutsy by loomy

Bug Description

Update 19/10/07:
24 hours after release of 7.10, and after several unsuccessful updates in that time period, I have tried the update again, and it appears to be working -- after no changes from me. Is it possible that these errors were generated by server-side file problems? Perhaps certain mirrors generated problems for people, and those mirrors have since been fixed? Perhaps some of the people below with different error logs still have problems due to different bugs? In any case I suggest that whatever bug I experienced be dealt with before it hits the wrong CEO in the next release :)

Original description:
Binary package hint: update-manager

Upgrading Ubuntu 7.04 to 7.10 with the "Upgrade" button. The speed of download was very slow even though the speed of download from my chosen update source was very fast.

"Getting upgrade prerequisites failed

The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.

Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport."

loomy (loomy) wrote :

/var/log/dist-upgrade/Main.log contents:

2007-10-18 13:27:39,445 INFO release-upgrader version '0.81' started
2007-10-18 13:27:42,031 DEBUG lsb-release: 'feisty'
2007-10-18 13:27:42,031 DEBUG _pythonSymlinkCheck run
2007-10-18 13:27:42,984 DEBUG checkViewDepends()
2007-10-18 13:27:42,984 DEBUG getRequiredBackports()
2007-10-18 13:28:05,791 DEBUG marking 'release-upgrader-apt' for install
2007-10-18 13:28:05,892 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-18 13:38:44,413 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1924684 DestFile:'/tmp/tmpjgS3kq/backports/partial/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://ca.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ub'
2007-10-18 13:38:44,413 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1307096 DestFile:'/tmp/tmpjgS3kq/backports/partial/release-upgrader-apt_0.6.46.4ubuntu10.3_i386.udeb' DescURI: 'http://ca.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-apt/release-upgrader-apt_0.6.46.4u'
2007-10-18 13:38:44,414 ERROR no backports found but setupRequiredBackports() called??!

loomy (loomy) wrote :

Note: My bug appears different than this bug of a similar name https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/147840

younan1 (superyounan1) wrote :

confirm this bug, it is keeping me from upgrading too. Ran 'update-manager -c'

younan1 (superyounan1) wrote :

here is my main.log:

2007-10-18 12:57:14,214 INFO release-upgrader version '0.81' started
2007-10-18 12:57:14,758 DEBUG lsb-release: 'feisty'
2007-10-18 12:57:14,758 DEBUG _pythonSymlinkCheck run
2007-10-18 12:57:15,996 DEBUG checkViewDepends()
2007-10-18 12:57:15,997 DEBUG getRequiredBackports()
2007-10-18 12:57:52,253 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg Connection failed [IP: 91.189.88.31 80]
'. Retrying (currentRetry: 0)
2007-10-18 12:58:27,905 DEBUG marking 'release-upgrader-apt' for install
2007-10-18 12:58:28,093 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-18 13:00:30,767 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmpgk1qDv/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2007-10-18 13:00:30,768 ERROR pre-requists item 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

Rinaldus (pitersv) wrote :

Confirm. My log:

weedwacker (weedwacker) wrote :

My bug report is similar.

This is the main log report from /var/log/dist-upgrade/

2007-10-18 14:00:14,798 INFO release-upgrader version '0.81' started
2007-10-18 14:00:15,406 DEBUG lsb-release: 'feisty'
2007-10-18 14:00:15,406 DEBUG _pythonSymlinkCheck run
2007-10-18 14:00:16,377 DEBUG checkViewDepends()
2007-10-18 14:00:16,378 DEBUG getRequiredBackports()
2007-10-18 14:15:20,588 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/restricted/binary-i386/Packages.gz 503 Connect failed
'. Retrying (currentRetry: 0)
2007-10-18 14:31:16,087 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/main/binary-i386/Packages.gz 503 Connect failed
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 503 Connect failed
'. Retrying (currentRetry: 1)
2007-10-18 14:47:57,576 ERROR IOError in cache.update(): 'Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-security/restricted/binary-i386/Packages.gz 503 Connect failed
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/multiverse/source/Sources.gz 503 Connect failed
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-updates/restricted/binary-i386/Packages.gz 503 Connect failed
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-updates/main/source/Sources.gz 503 Connect failed
'. Retrying (currentRetry: 2)
2007-10-18 14:47:57,576 ERROR doUpdate() failed complettely
2007-10-18 14:48:00,179 DEBUG marking 'release-upgrader-apt' for install
2007-10-18 14:48:00,269 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-18 14:50:29,535 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmprNWYtt/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2007-10-18 14:50:29,535 ERROR pre-requists item 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

mrpurple (mrpurple) wrote :

mine is :
2007-10-18 22:51:49,028 INFO release-upgrader version '0.81' started
2007-10-18 22:51:49,458 DEBUG lsb-release: 'feisty'
2007-10-18 22:51:49,459 DEBUG _pythonSymlinkCheck run
2007-10-18 22:51:50,121 DEBUG checkViewDepends()
2007-10-18 22:51:50,121 DEBUG getRequiredBackports()
2007-10-18 22:51:50,122 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 0)
2007-10-18 22:51:50,123 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 1)
2007-10-18 22:51:50,123 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 2)
2007-10-18 22:51:50,123 ERROR doUpdate() failed complettely
2007-10-18 22:51:50,829 ERROR Can not find backport 'release-upgrader-apt'

Rinaldus (pitersv) wrote :

All is ok for me now. I'm already downloading updates about 1.5 hour.

Fred (wilson-frederick) wrote :

My log has this

2007-10-18 17:48:50,286 INFO release-upgrader version '0.81' started
2007-10-18 17:48:51,081 DEBUG lsb-release: 'feisty'
2007-10-18 17:48:51,082 DEBUG _pythonSymlinkCheck run
2007-10-18 17:48:53,125 DEBUG checkViewDepends()
2007-10-18 17:48:53,125 DEBUG getRequiredBackports()
2007-10-18 17:48:53,126 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 0)
2007-10-18 17:48:53,126 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 1)
2007-10-18 17:48:53,127 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 2)
2007-10-18 17:48:53,127 ERROR doUpdate() failed complettely
2007-10-18 17:48:55,198 ERROR Can not find backport 'release-upgrader-apt'

manuel fernandez (mfg) wrote :

same problem here

Laoliu (spiritliu) wrote :

my log has this

2007-10-19 11:27:53,820 INFO release-upgrader version '0.81' started
2007-10-19 11:27:56,934 DEBUG lsb-release: 'feisty'
2007-10-19 11:27:56,935 DEBUG _pythonSymlinkCheck run
2007-10-19 11:27:58,861 DEBUG checkViewDepends()
2007-10-19 11:27:58,862 DEBUG getRequiredBackports()
2007-10-19 11:28:00,229 ERROR IOError in cache.update(): 'Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg 无法连接上 cn.archive.ubuntu.com:80 (222.73.255.64)。 - connect (111 Connection refused)
Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/i18n/Translation-zh_CN.bz2 无法连接上 cn.archive.ubuntu.com:80 (222.73.255.64)。 - connect (111 Connection refused)
'. Retrying (currentRetry: 0)
2007-10-19 11:28:05,384 ERROR IOError in cache.update(): 'Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg 无法连接上 cn.archive.ubuntu.com:80 (222.73.255.64)。 - connect (111 Connection refused)
Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/i18n/Translation-zh_CN.bz2 无法连接上 cn.archive.ubuntu.com:80 (222.73.255.64)。 - connect (111 Connection refused)
'. Retrying (currentRetry: 1)
2007-10-19 11:28:10,511 ERROR IOError in cache.update(): 'Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg 无法连接上 cn.archive.ubuntu.com:80 (222.73.255.64)。 - connect (111 Connection refused)
Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/i18n/Translation-zh_CN.bz2 无法连接上 cn.archive.ubuntu.com:80 (222.73.255.64)。 - connect (111 Connection refused)
'. Retrying (currentRetry: 2)
2007-10-19 11:28:10,512 ERROR doUpdate() failed complettely
2007-10-19 11:28:16,520 ERROR Can not find backport 'release-upgrader-apt'

solarbike (solarbike) wrote :

same problem here...

2007-10-18 23:39:59,532 INFO release-upgrader version '0.81' started
2007-10-18 23:39:59,868 DEBUG lsb-release: 'feisty'
2007-10-18 23:39:59,868 DEBUG _pythonSymlinkCheck run
2007-10-18 23:40:00,769 DEBUG checkViewDepends()
2007-10-18 23:40:00,770 DEBUG getRequiredBackports()
2007-10-18 23:40:02,906 ERROR IOError in cache.update(): 'Failed to fetch http://medibuntu.sos-sts.com/repo/dists/feisty/free/binary-i386/Packages.gz 302 Found
Failed to fetch http://medibuntu.sos-sts.com/repo/dists/feisty/non-free/binary-i386/Packages.gz 302 Found
Failed to fetch http://medibuntu.sos-sts.com/repo/dists/feisty/free/source/Sources.gz 302 Found
Failed to fetch http://medibuntu.sos-sts.com/repo/dists/feisty/non-free/source/Sources.gz 302 Found
'. Retrying (currentRetry: 0)
2007-10-18 23:40:07,256 DEBUG marking 'release-upgrader-apt' for install
2007-10-18 23:40:07,337 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-18 23:42:38,515 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1924684 DestFile:'/tmp/tmpCftnTm/backports/partial/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ub'
2007-10-18 23:42:38,515 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1307096 DestFile:'/tmp/tmpCftnTm/backports/partial/release-upgrader-apt_0.6.46.4ubuntu10.3_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-apt/release-upgrader-apt_0.6.46.4u'
2007-10-18 23:42:38,517 ERROR no backports found but setupRequiredBackports() called??!

Pix (vernazza) wrote :

I had the same problem. This is my log

Stephane (s-reuillon) wrote :
Download full text (3.2 KiB)

The error message is the same for me.

Here is my /var/log/dist-upgrade/main.log content :

2007-10-19 14:03:13,018 INFO release-upgrader version '0.81' started
2007-10-19 14:03:13,383 DEBUG lsb-release: 'gutsy'
2007-10-19 14:03:13,384 DEBUG _pythonSymlinkCheck run
2007-10-19 14:03:13,793 DEBUG checkViewDepends()
2007-10-19 14:03:13,793 DEBUG getRequiredBackports()
2007-10-19 14:15:29,364 ERROR IOError in cache.update(): 'Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/Release.gpg Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/main/i18n/Translation-fr.bz2 Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/restricted/i18n/Translation-fr.bz2 Échec de la connexion
Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/universe/i18n/Translation-fr.bz2 Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
'. Retrying (currentRetry: 0)
2007-10-19 14:21:10,540 ERROR IOError in cache.update(): 'Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/Release.gpg Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/main/i18n/Translation-fr.bz2 Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
'. Retrying (currentRetry: 1)
2007-10-19 14:30:54,343 ERROR IOError in cache.update(): 'Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/Release.gpg Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/main/i18n/Translation-fr.bz2 Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
Failed to fetch http://fr.archive.ubuntu.com/ubuntu/dists/gutsy/restricted/i18n/Translation-fr.bz2 Connexion à fr.archive.ubuntu.com: 80 (194.2.0.36) impossible, délai de connexion dépassé
'. Retrying (currentRetry: 2)
2007-10-19 14:30:54,343 ERROR doUpdate() failed complettely
2007-10-19 14:30:55,759 DEBUG marking 'release-upgrader-apt' for install
2007-10-19 14:30:55,801 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-19 14:34:55,934 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1974216 DestFile:'/tmp/kde-steph/adept_managervSTiUa.tmp-extract/backports/partial/release-upgrader-dpkg_1.14.5ubuntu11.2_amd64.udeb' DescURI: 'http://fr.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dp'
2007-10-19 14:34:55,934 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1312844 DestFile:'/tmp/kde-steph/adept_managervSTiUa.tmp-extract/backports/partial/release-upgrader-apt_0.6.46.4ubuntu10.3_amd64.udeb' DescURI: 'http://fr.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-a'
2007-10-19 14:34:55,935 ERROR no backports found but setupRequiredBackports() called??!

Here is my /var/log/dis...

Read more...

Download full text (3.8 KiB)

Does the solution mentioned in the below bug fix this for you two guys
with the "" error?

https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/149379

"Just change your repository to Main in Synaptic, instead of using
da.archive.ubuntu.com/ubuntu"

MC

weedwacker wrote:

younan1 wrote:
> here is my main.log:
>
> 2007-10-18 12:57:14,214 INFO release-upgrader version '0.81' started
> 2007-10-18 12:57:14,758 DEBUG lsb-release: 'feisty'
> 2007-10-18 12:57:14,758 DEBUG _pythonSymlinkCheck run
> 2007-10-18 12:57:15,996 DEBUG checkViewDepends()
> 2007-10-18 12:57:15,997 DEBUG getRequiredBackports()
> 2007-10-18 12:57:52,253 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg Connection failed [IP: 91.189.88.31 80]
> '. Retrying (currentRetry: 0)
> 2007-10-18 12:58:27,905 DEBUG marking 'release-upgrader-apt' for install
> 2007-10-18 12:58:28,093 DEBUG marking 'release-upgrader-dpkg' for install
> 2007-10-18 13:00:30,767 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmpgk1qDv/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
> 2007-10-18 13:00:30,768 ERROR pre-requists item 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted
>

weedwacker wrote:
 > My bug report is similar.
 >
 > This is the main log report from /var/log/dist-upgrade/
 >
 > 2007-10-18 14:00:14,798 INFO release-upgrader version '0.81' started
 > 2007-10-18 14:00:15,406 DEBUG lsb-release: 'feisty'
 > 2007-10-18 14:00:15,406 DEBUG _pythonSymlinkCheck run
 > 2007-10-18 14:00:16,377 DEBUG checkViewDepends()
 > 2007-10-18 14:00:16,378 DEBUG getRequiredBackports()
 > 2007-10-18 14:15:20,588 ERROR IOError in cache.update(): 'Failed to
fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty/restricted/binary-i386/Packages.gz
503 Connect failed
 > '. Retrying (currentRetry: 0)
 > 2007-10-18 14:31:16,087 ERROR IOError in cache.update(): 'Failed to
fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty/main/binary-i386/Packages.gz
503 Connect failed
 > Failed to fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz
503 Connect failed
 > '. Retrying (currentRetry: 1)
 > 2007-10-18 14:47:57,576 ERROR IOError in cache.update(): 'Failed to
fetch
http://archive.ubuntu.com/ubuntu/dists/feisty-security/restricted/binary-i386/Packages.gz
503 Connect failed
 > Failed to fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty/multiverse/source/Sources.gz
503 Connect failed
 > Failed to fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty-updates/restricted/binary-i386/Packages.gz
503 Connect failed
 > Failed to fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty-updates/main/source/Sources.gz
503 Connect failed
 > '. Retrying (currentRetry: 2)
 > 2007-10-18 14:47:57,576 ERROR doUpdate() failed complettely
 > 2007-10-18 14:48:00,179 DEBUG marking...

Read more...

loomy (loomy) on 2007-10-19
description: updated
loomy (loomy) on 2007-10-19
description: updated
Fred (wilson-frederick) wrote :

I made comment earlier that my install failed the pre-req requirements. I tried the upgrade button again and it seems to have word fine although it was terribly slow.

ttn (ttn) wrote :

loomy wrote:
> Does the solution mentioned in the below bug fix this for you two guys
> with the "" error?

It seems to correct the problem for me (synaptic was using a local
server in Finland (that's where I am) by default) - now the upgrade
seems to proceed normally.

--
<email address hidden>

666lawyer (666lawyer) wrote :

The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.

Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.

Alan Tam (alan-tam-sh) wrote :

same problem here
...so what should i do now? can any one advice?
thank you

Harley (hbdoyle) wrote :

Same deal

younan1 (superyounan1) wrote :

Loomy Wrote:
Does the solution mentioned in the below bug fix this for you two guys
with the "" error?

https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/149379

"Just change your repository to Main in Synaptic, instead of using
da.archive.ubuntu.com/ubuntu"
---------------------------------------------

no this doesn't help me. I am going to attempt to download the alternate install CD and follow the directions at the bottom of this page: http://www.ubuntu.com/getubuntu/upgrading as a workaround, I will post results.

Dennis Funk (defunk99) wrote :

Upgrade to 7.10 was successful after editing repository source list. Don´t know if this was coincidence or not.

Bob (bfinger) wrote :

I get past this point now, but get errors later. See Bug #155158.
A problem occured during the update. This is usually some sort of network problem, please check your network connection and retry.
 Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/main/binary-i386/Packages.bz2 Sub-process bzip2 returned an error code (2)
 Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/main/binary-i386/Packages.bz2 Sub-process bzip2 returned an error code (2)
 Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/gutsy-updates/main/binary-i386/Packages.bz2 Sub-process bzip2 returned an error code (2)
 Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/gutsy-updates/main/binary-i386/Packages.bz2 Sub-process bzip2 returned an error code (2)

younan1 <email address hidden> wrote: Loomy Wrote:
Does the solution mentioned in the below bug fix this for you two guys
with the "" error?

https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/149379

"Just change your repository to Main in Synaptic, instead of using
da.archive.ubuntu.com/ubuntu"
---------------------------------------------

no this doesn't help me. I am going to attempt to download the alternate
install CD and follow the directions at the bottom of this page:
http://www.ubuntu.com/getubuntu/upgrading as a workaround, I will post
results.

--
7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
https://bugs.launchpad.net/bugs/153980
You received this bug notification because you are a direct subscriber
of the bug.

kennytm (qazbghiioe-visual) wrote :

/var/log/dist-upgrade/main.log:

2007-10-05 00:05:13,242 INFO release-upgrader version '0.81' started
2007-10-05 00:05:15,572 DEBUG lsb-release: 'gutsy'
2007-10-05 00:05:15,573 DEBUG _pythonSymlinkCheck run
2007-10-05 00:05:16,524 DEBUG checkViewDepends()
2007-10-05 00:05:16,525 DEBUG getRequiredBackports()
2007-10-05 00:05:16,526 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 0)
2007-10-05 00:05:16,526 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 1)
2007-10-05 00:05:16,527 ERROR IOError in cache.update(): 'Failed to lock /var/lib/apt/lists/lock'. Retrying (currentRetry: 2)
2007-10-05 00:05:16,527 ERROR doUpdate() failed complettely
2007-10-05 00:05:17,957 ERROR Can not find backport 'release-upgrader-apt'

I'm using Kubuntu 7.04.

Bob (bfinger) wrote :

Yes. Upgraded completed successfully.

On Oct 20, 2007, at 1:45 PM, younan1 wrote:

> Loomy Wrote:
> Does the solution mentioned in the below bug fix this for you two guys
> with the "" error?
>
> https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/149379
>
> "Just change your repository to Main in Synaptic, instead of using
> da.archive.ubuntu.com/ubuntu"
> ---------------------------------------------
>
> no this doesn't help me. I am going to attempt to download the
> alternate
> install CD and follow the directions at the bottom of this page:
> http://www.ubuntu.com/getubuntu/upgrading as a workaround, I will post
> results.
>
> --
> 7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
> https://bugs.launchpad.net/bugs/153980
> You received this bug notification because you are a direct subscriber
> of the bug.

Bob Finger
<email address hidden>

manukke (manukke) wrote :

My log file is:
2007-10-24 19:27:37,714 INFO release-upgrader version '0.81' started
2007-10-24 19:27:38,263 DEBUG lsb-release: 'gutsy'
2007-10-24 19:27:38,263 DEBUG _pythonSymlinkCheck run
2007-10-24 19:27:38,396 DEBUG checkViewDepends()
2007-10-24 19:27:38,397 DEBUG getRequiredBackports()
2007-10-24 19:31:41,484 ERROR IOError in cache.update(): 'Failed to fetch http:$
Failed to fetch http://it.archive.ubuntu.com/ubuntu/dists/feisty-backports/main$
'. Retrying (currentRetry: 0)
2007-10-24 19:35:42,715 ERROR IOError in cache.update(): 'Failed to fetch http:$
Failed to fetch http://it.archive.ubuntu.com/ubuntu/dists/feisty-backports/main$
'. Retrying (currentRetry: 1)
2007-10-24 19:40:02,757 ERROR IOError in cache.update(): 'Failed to fetch http:$
Failed to fetch http://it.archive.ubuntu.com/ubuntu/dists/feisty-backports/main$
'. Retrying (currentRetry: 2)
2007-10-24 19:40:02,757 ERROR doUpdate() failed complettely
2007-10-24 19:40:02,831 ERROR Can not find backport 'release-upgrader-apt'

fishie (jon-vonnieda) wrote :

fishie@vonnieda:/var/log/dist-upgrade$ cat main.log
2007-10-24 19:20:16,543 INFO release-upgrader version '0.81' started
2007-10-24 19:20:16,697 DEBUG lsb-release: 'feisty'
2007-10-24 19:20:19,502 DEBUG _pythonSymlinkCheck run
2007-10-24 19:20:20,141 DEBUG checkViewDepends()
2007-10-24 19:20:20,142 DEBUG getRequiredBackports()
2007-10-24 19:20:22,982 DEBUG marking 'release-upgrader-apt' for install
2007-10-24 19:20:23,057 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-24 19:20:30,105 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmpLgglkN/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2007-10-24 19:20:30,106 ERROR pre-requists item 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

Stan Olson (stanolson) wrote :

Same error here, cleaned out my sources but still no go...

main.log
2007-10-24 20:15:28,379 INFO release-upgrader version '0.81' started
2007-10-24 20:15:29,087 DEBUG lsb-release: 'feisty'
2007-10-24 20:15:29,087 DEBUG _pythonSymlinkCheck run
2007-10-24 20:15:31,664 DEBUG checkViewDepends()
2007-10-24 20:15:31,665 DEBUG getRequiredBackports()
2007-10-24 20:15:35,720 DEBUG marking 'release-upgrader-apt' for install
2007-10-24 20:15:35,944 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-24 20:15:48,346 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmp88E0Vq/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2007-10-24 20:15:48,347 ERROR pre-requists item 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

Sam Herring (herring-sam) wrote :

Mine does the same after unsucsessfuly upgradeing i had to download the iso. still adept thinks i only have 7.04 and wants to up grade even tho i installed with the iso of 7.10 it wont download any thing, it wont update it just wont connect to any mirrors

here is what the apt.log said
Error: "/var/tmp/kdecache-sam" is owned by uid 1000 instead of uid 0.

Michael Rivera (rivera) wrote :

Removing 'AllowUnauthenticated "true";' from my apt configuration helped me out.
Now the do-release-upgrade and graphical upgrade works for me.

m

Changed in update-manager:
status: New → Confirmed
trebor271074 (trebor271074) wrote :

help..... exista vreo posibilitate ca aceasta operatiune sa mearga? si asta complet automatizata?

Alan (awerntz) wrote :

Yes, I received the same message but my error is different:

2007-10-27 09:28:13,406 INFO release-upgrader version '0.81' started
2007-10-27 09:28:20,343 DEBUG lsb-release: 'feisty'
2007-10-27 09:28:20,343 DEBUG _pythonSymlinkCheck run
2007-10-27 09:28:31,418 DEBUG checkViewDepends()
2007-10-27 09:28:31,418 DEBUG getRequiredBackports()
2007-10-27 09:28:52,284 ERROR IOError in cache.update(): 'Failed to fetch http://www.getautomatix.com/apt/dists/feisty/Release.gpg Could not connect to www.getautomatix.com:80 (216.120.255.9), connection timed out
Failed to fetch http://www.getautomatix.com/apt/dists/feisty/main/i18n/Translation-en_US.bz2 Could not connect to www.getautomatix.com:80 (216.120.255.9), connection timed out
'. Retrying (currentRetry: 0)
2007-10-27 09:29:55,529 ERROR IOError in cache.update(): 'Failed to fetch http://www.getautomatix.com/apt/dists/feisty/Release.gpg Connection failed
Failed to fetch http://www.getautomatix.com/apt/dists/feisty/main/i18n/Translation-en_US.bz2 Could not connect to www.getautomatix.com:80 (216.120.255.9), connection timed out
Failed to fetch http://www.getautomatix.com/apt/dists/feisty/Release
Failed to fetch http://www.getautomatix.com/apt/dists/feisty/main/binary-i386/Packages.gz Could not connect to www.getautomatix.com:80 (216.120.255.9), connection timed out
'. Retrying (currentRetry: 1)
2007-10-27 09:30:15,928 ERROR IOError in cache.update(): 'Failed to fetch http://www.getautomatix.com/apt/dists/feisty/Release.gpg Could not connect to www.getautomatix.com:80 (216.120.255.9), connection timed out
Failed to fetch http://www.getautomatix.com/apt/dists/feisty/main/i18n/Translation-en_US.bz2 Could not connect to www.getautomatix.com:80 (216.120.255.9), connection timed out
'. Retrying (currentRetry: 2)
2007-10-27 09:30:15,928 ERROR doUpdate() failed complettely
2007-10-27 09:30:19,037 DEBUG marking 'release-upgrader-apt' for install
2007-10-27 09:30:19,147 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-27 09:31:58,612 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmpk2X56n/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2007-10-27 09:31:58,613 ERROR pre-requists item 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

I'm running 2 computers (Feisty Fawn 7.04) since a few months. On one computer (I call it 'server') I run apt-proxy configured to get updates from http://ftp.hosteurope.de/mirror/archive.ubuntu.com (but it doesn't matter which source I use as I tested several different sources). The second computer (I call it 'client') is using the apt-proxy of 'server'. I updated 'client' to Gutsy Gibbon using apt-proxy from 'server' last week. This was working fine without any trouble.

After feeling sure about the new distribution I tried to update 'server' today. It is configured to use it's own local apt-proxy. This system was always working fine before. But the update procedure on 'server' fails with the error message ("Getting update prerequisites failed").

I already reconfigured Synaptics to update the main branch only which did not solve the error.

Here's my /var/log/dist-upgrade/main.log:

2007-10-31 14:09:37,654 INFO release-upgrader version '0.81' started
2007-10-31 14:09:38,274 DEBUG lsb-release: 'feisty'
2007-10-31 14:09:38,274 DEBUG _pythonSymlinkCheck run
2007-10-31 14:09:39,414 DEBUG checkViewDepends()
2007-10-31 14:09:39,415 DEBUG getRequiredBackports()
2007-10-31 14:09:41,633 ERROR IOError in cache.update(): 'Failed to fetch http://de.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found [IP: 141.30.3.82 80]
'. Retrying (currentRetry: 0)
2007-10-31 14:09:43,893 ERROR IOError in cache.update(): 'Failed to fetch http://de.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found [IP: 141.30.3.82 80]
'. Retrying (currentRetry: 1)
2007-10-31 14:09:47,174 DEBUG marking 'release-upgrader-apt' for install
2007-10-31 14:09:47,219 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-31 14:09:47,596 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmphVdR8U/backports/partial/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://de.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ub'
2007-10-31 14:09:47,596 ERROR pre-requists item 'http://de.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

Marktrix (markgerlach) wrote :

Same Problem:

2007-10-31 20:51:48,531 INFO release-upgrader version '0.81' started
2007-10-31 20:51:49,502 DEBUG lsb-release: 'feisty'
2007-10-31 20:51:49,503 DEBUG _pythonSymlinkCheck run
2007-10-31 20:51:51,235 DEBUG checkViewDepends()
2007-10-31 20:51:51,236 DEBUG getRequiredBackports()
2007-10-31 20:51:57,513 DEBUG marking 'release-upgrader-apt' for install
2007-10-31 20:51:57,648 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-31 20:51:57,927 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1924684 DestFile:'/tmp/tmpKY26hI/backports/partial/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://de.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ub'
2007-10-31 20:51:57,927 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1307096 DestFile:'/tmp/tmpKY26hI/backports/partial/release-upgrader-apt_0.6.46.4ubuntu10.3_i386.udeb' DescURI: 'http://de.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-apt/release-upgrader-apt_0.6.46.4u'
2007-10-31 20:51:57,928 ERROR no backports found but setupRequiredBackports() called??!

"Just change your repository to Main in Synaptic, instead of using
de.archive.ubuntu.com/ubuntu"

Does not help.

bigbug21 (bigbug21-bugtrack) wrote :

Same thing here. I have just tried to upgrade from 7.04=>7.10 and got the same problem. I have attached the accordings logs.

Sam Herring (herring-sam) wrote :

try changing your dns severs it might help

Well it worked for me
Sam

On 11/1/07, bigbug21 <email address hidden> wrote:
>
> Same thing here. I have just tried to upgrade from 7.04=>7.10 and got
> the same problem. I have attached the accordings logs.
>
> ** Attachment added: "dist-upgrade.tgz"
> http://launchpadlibrarian.net/10226295/dist-upgrade.tgz
>
> --
> 7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
> https://bugs.launchpad.net/bugs/153980
> You received this bug notification because you are a direct subscriber
> of the bug.
>

bigbug21 (bigbug21-bugtrack) wrote :

Thanks Sam, but that doesn't work for me. I have tried it with three different ISPs, they all don't work. Plus, downloading the upgrade tool and noumerous information works very well before that dialog appears.

supermarron (marronsuper) wrote :

For me worked change the file "/etc/apt/sources.list.d/prerequists-
sources.list" and change the server that wasn't responding to another one,
from:

    http://es.archive.ubuntu.com/ubuntu feisty-backports
main/debian-installer

to

    http://en.archive.ubuntu.com/ubuntu feisty-backports
main/debian-installer

With that no more problem, but now I don't have a local server in my
sources.list.

Cunner (conrad-wolf) wrote :

I've got the same problem...

The GUI frontend tells me:

The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.
Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.

And my /var/log/dist-upgrade/main.log reads:

2007-11-02 10:09:06,260 INFO release-upgrader version '0.81' started
2007-11-02 10:09:06,799 DEBUG lsb-release: 'feisty'
2007-11-02 10:09:06,800 DEBUG _pythonSymlinkCheck run
2007-11-02 10:09:07,644 DEBUG checkViewDepends()
2007-11-02 10:09:07,645 DEBUG getRequiredBackports()
2007-11-02 10:09:10,848 DEBUG marking 'release-upgrader-apt' for install
2007-11-02 10:09:10,942 DEBUG marking 'release-upgrader-dpkg' for install
2007-11-02 10:09:11,111 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1924684 DestFile:'/
tmp/tmpMfFIkn/backports/partial/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://de.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-
dpkg/release-upgrader-dpkg_1.14.5ub'
2007-11-02 10:09:11,111 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 3 Complete: 0 Local: 0 IsTrusted: 1 FileSize: 1307096 DestFile:'/
tmp/tmpMfFIkn/backports/partial/release-upgrader-apt_0.6.46.4ubuntu10.3_i386.udeb' DescURI: 'http://de.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader
-apt/release-upgrader-apt_0.6.46.4u'
2007-11-02 10:09:11,112 ERROR no backports found but setupRequiredBackports() called??!

I've removed all 3rd party repositories from my sources.list and set Synaptic to use the main server, but the problem remains.

gcb (descartavel1) wrote :

Getting upgrade prerequisites failed

The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.

Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.

@ gcb:
Your log states: Failed to fetch http://.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg Could not resolve '.archive.ubuntu.com'

This means your /etc/apt/sources.list doesn't contain a valid source for the packets because "http://.archive.ubuntu.com" isn't a valid URL. Try "http://archive.ubuntu.com" instead (without the"." after "http://") or check http://www.ubuntu-nl.org/source-o-matic/ for a valid source near you.

I have the feeling that many mirrors are not fully up to date yet.

After changing the sources to http://archive.ubuntu.com and http://security.ubuntu.com the upgrade worked for me on all machines.
When my upgrade was finished I changed my sources.list back to ftp.hosteurope.de again. New updates arrive properly now.

Cheers

rocketman (andrew-d-mackenzie) wrote :

The post by "supermarron" above seems to have worked for me:

---------
For me worked change the file "/etc/apt/sources.list.d/prerequists-sources.list" and change the server that wasn't responding to another one,
from:
    http://es.archive.ubuntu.com/ubuntu feisty-backports main/debian-installer
to
    http://en.archive.ubuntu.com/ubuntu feisty-backports main/debian-installer
With that no more problem, but now I don't have a local server in mysources.list.
-------
I also happen to be in Spain as "SuperBrown" :-) is (note 'es.' in source list url) and so maybe there's a problem with that - although I tried 'main' and 'us' many times already.

MUCHAS gracias, llevo mucho tiempo buscando esta solucion.

I had the same problem .... the message says to send the attached information

at78rpm (ehoops) wrote :

I tried changing repositories, nothing works. I guess I'll just do a clean install of 7.10 since the upgrade fails to initiate. Makes me leery of Ubuntu, though...maybe I'll go back to Sabayon.

ant (antblanc-gu) wrote :

A mi me ha pasado intentando actualizar la versión 7.10. Recien bajada del servidor.
SOLUCIONADO quitando el "es." a las direcciones de los repositorios. Es decir, dejando:
http://archive.ubuntu.com en vez de
http://es.archive.ubuntu.com

el archivo que pide que se adjunte es el siguiente.
2007-12-02 12:07:50,745 INFO release-upgrader version '0.81' started
2007-12-02 12:07:51,299 DEBUG lsb-release: 'gutsy'
2007-12-02 12:07:51,299 DEBUG _pythonSymlinkCheck run
2007-12-02 12:07:51,434 DEBUG checkViewDepends()
2007-12-02 12:07:51,434 DEBUG getRequiredBackports()
2007-12-02 12:11:51,516 ERROR IOError in cache.update(): 'Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg No puedo iniciar la conexión a es.archive.ubuntu.com:80 (2001:720:c10:d::7). - connect (101 Red inalcanzable) [IP: 2001:720:c10:d::7 80]
Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/i18n/Translation-es.bz2 No puedo iniciar la conexión a es.archive.ubuntu.com:80 (2001:720:c10:d::7). - connect (101 Red inalcanzable) [IP: 2001:720:c10:d::7 80]
'. Retrying (currentRetry: 0)
2007-12-02 12:15:51,551 ERROR IOError in cache.update(): 'Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg No pude conectarme a es.archive.ubuntu.com:80 (32.1.7.32), expiró tiempo para conexión
Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/i18n/Translation-es.bz2 No pude conectarme a es.archive.ubuntu.com:80 (32.1.7.32), expiró tiempo para conexión
'. Retrying (currentRetry: 1)
2007-12-02 12:19:51,642 ERROR IOError in cache.update(): 'Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release.gpg No pude conectarme a archive.canonical.com:80 (1.0.0.0), expiró tiempo para conexión
Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/partner/i18n/Translation-es.bz2 No pude conectarme a archive.canonical.com:80 (1.0.0.0), expiró tiempo para conexión
Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/Release.gpg No puedo iniciar la conexión a es.archive.ubuntu.com:80 (2001:720:c10:d::7). - connect (101 Red inalcanzable) [IP: 2001:720:c10:d::7 80]
Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/i18n/Translation-es.bz2 No puedo iniciar la conexión a es.archive.ubuntu.com:80 (2001:720:c10:d::7). - connect (101 Red inalcanzable) [IP: 2001:720:c10:d::7 80]
'. Retrying (currentRetry: 2)
2007-12-02 12:19:51,643 ERROR doUpdate() failed complettely
2007-12-02 12:19:51,729 ERROR Can not find backport 'release-upgrader-apt'

Changed in update-manager:
assignee: nobody → mvo
importance: Undecided → High
NaSiO6 (xeptf4) wrote :

2007-12-19 03:37:24,236 INFO release-upgrader version '0.81' started
2007-12-19 03:37:24,790 DEBUG lsb-release: 'feisty'
2007-12-19 03:37:24,791 DEBUG _pythonSymlinkCheck run
2007-12-19 03:37:25,857 DEBUG checkViewDepends()
2007-12-19 03:37:25,857 DEBUG getRequiredBackports()
2007-12-19 03:37:39,915 DEBUG marking 'release-upgrader-apt' for install
2007-12-19 03:37:40,022 DEBUG marking 'release-upgrader-dpkg' for install
2007-12-19 03:38:14,536 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 0 FileSize: 1924684 DestFile:'/tmp/tmpbIYPkZ/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2007-12-19 03:38:14,536 ERROR pre-requists item 'http://us.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' is NOT trusted

Daniel Woelk (woelkdaniel) wrote :

Same problem. Can not run the upgrade.

Bolek (bmynars) wrote :
Download full text (6.0 KiB)

I've been trying to update my Itanium workstation to Gutsy for quite some time now. I even tried a 'clean' install only to roll back to Feisty. Every time I try to upgrade IA64 to Gutsy, I see following messages:

"Getting upgrade prerequisites failed
The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.
Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport."

After following bug report's suggestion, I go to /var/log/dist-upgrade and this is what I see:

[nobody@system:/var/log/dist-upgrade]$
$=> ls -ltr
total 8
-rw-r--r-- 1 root root 0 2007-12-26 10:43 apt.log
-rw-r--r-- 1 root root 0 2007-12-26 11:14 term.log
-rw-r--r-- 1 root root 5080 2007-12-26 11:14 main.log
[nobody@system:/var/log/dist-upgrade]$
$=>

There is no 'bugreport.*'. I guess, this is another "bug" to report. In any case, main.log reports this:

$=> cat main.log
2007-12-26 11:14:39,579 INFO release-upgrader version '0.81' started
2007-12-26 11:14:40,352 DEBUG lsb-release: 'feisty'
2007-12-26 11:14:40,353 DEBUG _pythonSymlinkCheck run
2007-12-26 11:14:40,965 DEBUG checkViewDepends()
2007-12-26 11:14:40,966 DEBUG getRequiredBackports()
2007-12-26 11:14:43,845 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-ia64/Packages.gz 404 Not Found [IP: 91.189.88.46 80]
Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty/main/binary-ia64/Packages.gz 404 Not Found
Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty/main/source/Sources.gz 404 Not Found
Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-security/main/binary-ia64/Packages.gz 404 Not Found
Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty/restricted/source/Sources.gz 404 Not Found
Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-security/restricted/binary-ia64/Packages.gz 404 Not Found
Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-updates/main/binary-ia64/Packages.gz 404 Not Found
Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-updates/restricted/binary-ia64/Packages.gz 404 Not Found
Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-updates/main/source/Sources.gz 404 Not Found
Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-updates/restricted/source/Sources.gz 404 Not Found
Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-security/main/source/Sources.gz 404 Not Found
Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-security/restricted/source/Sources.gz 404 Not Found
'. Retrying (currentRetry: 0)
2007-12-26 11:14:46,556 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-ia64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty/main/binary-ia64/Packages.gz 404 Not Found
Failed to fetch http://ports.ub...

Read more...

Download full text (6.8 KiB)

change the location to Main or different loaction in your update manager and reload before you try upgrade again.

> From: <email address hidden>
> To: <email address hidden>
> Date: Wed, 26 Dec 2007 16:21:42 +0000
> Subject: [Bug 153980] Re: 7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
>
> I've been trying to update my Itanium workstation to Gutsy for quite
> some time now. I even tried a 'clean' install only to roll back to
> Feisty. Every time I try to upgrade IA64 to Gutsy, I see following
> messages:
>
> "Getting upgrade prerequisites failed
> The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.
> Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport."
>
> After following bug report's suggestion, I go to /var/log/dist-upgrade
> and this is what I see:
>
> [nobody@system:/var/log/dist-upgrade]$
> $=> ls -ltr
> total 8
> -rw-r--r-- 1 root root 0 2007-12-26 10:43 apt.log
> -rw-r--r-- 1 root root 0 2007-12-26 11:14 term.log
> -rw-r--r-- 1 root root 5080 2007-12-26 11:14 main.log
> [nobody@system:/var/log/dist-upgrade]$
> $=>
>
> There is no 'bugreport.*'. I guess, this is another "bug" to report.
> In any case, main.log reports this:
>
> $=> cat main.log
> 2007-12-26 11:14:39,579 INFO release-upgrader version '0.81' started
> 2007-12-26 11:14:40,352 DEBUG lsb-release: 'feisty'
> 2007-12-26 11:14:40,353 DEBUG _pythonSymlinkCheck run
> 2007-12-26 11:14:40,965 DEBUG checkViewDepends()
> 2007-12-26 11:14:40,966 DEBUG getRequiredBackports()
> 2007-12-26 11:14:43,845 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-ia64/Packages.gz 404 Not Found [IP: 91.189.88.46 80]
> Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty/main/binary-ia64/Packages.gz 404 Not Found
> Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty/main/source/Sources.gz 404 Not Found
> Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-security/main/binary-ia64/Packages.gz 404 Not Found
> Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty/restricted/source/Sources.gz 404 Not Found
> Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-security/restricted/binary-ia64/Packages.gz 404 Not Found
> Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-updates/main/binary-ia64/Packages.gz 404 Not Found
> Failed to fetch http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-updates/restricted/binary-ia64/Packages.gz 404 Not Found
> Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-updates/main/source/Sources.gz 404 Not Found
> Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-updates/restricted/source/Sources.gz 404 Not Found
> Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-security/main/source/Sources.gz 404 Not Found
> Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/feisty-security/restricted/source/Sources.gz 404 Not Found
>...

Read more...

Download full text (7.5 KiB)

I have tried multiple locations with the same results. However, I did not
point to main. I will give it a try tomorrow and let you know how it goes.

On Dec 26, 2007 6:44 PM, Alan Tam <email address hidden> wrote:

> change the location to Main or different loaction in your update manager
> and reload before you try upgrade again.
>
>
> > From: <email address hidden>
> > To: <email address hidden>
> > Date: Wed, 26 Dec 2007 16:21:42 +0000
> > Subject: [Bug 153980] Re: 7.04->7.10 "Upgrade" fails: "Getting upgrade
> prerequisites failed"
> >
> > I've been trying to update my Itanium workstation to Gutsy for quite
> > some time now. I even tried a 'clean' install only to roll back to
> > Feisty. Every time I try to upgrade IA64 to Gutsy, I see following
> > messages:
> >
> > "Getting upgrade prerequisites failed
> > The system was unable to get the prerequisites for the upgrade. The
> upgrade will abort now and restore the original system state.
> > Please report this as a bug against the 'update-manager' package and
> include the files in /var/log/dist-upgrade/ in the bugreport."
> >
> > After following bug report's suggestion, I go to /var/log/dist-upgrade
> > and this is what I see:
> >
> > [nobody@system:/var/log/dist-upgrade]$
> > $=> ls -ltr
> > total 8
> > -rw-r--r-- 1 root root 0 2007-12-26 10:43 apt.log
> > -rw-r--r-- 1 root root 0 2007-12-26 11:14 term.log
> > -rw-r--r-- 1 root root 5080 2007-12-26 11:14 main.log
> > [nobody@system:/var/log/dist-upgrade]$
> > $=>
> >
> > There is no 'bugreport.*'. I guess, this is another "bug" to report.
> > In any case, main.log reports this:
> >
> > $=> cat main.log
> > 2007-12-26 11:14:39,579 INFO release-upgrader version '0.81' started
> > 2007-12-26 11:14:40,352 DEBUG lsb-release: 'feisty'
> > 2007-12-26 11:14:40,353 DEBUG _pythonSymlinkCheck run
> > 2007-12-26 11:14:40,965 DEBUG checkViewDepends()
> > 2007-12-26 11:14:40,966 DEBUG getRequiredBackports()
> > 2007-12-26 11:14:43,845 ERROR IOError in cache.update(): 'Failed to
> fetch
> http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-ia64/Packages.gz404 Not Found [IP:
> 91.189.88.46 80]
> > Failed to fetch
> http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty/main/binary-ia64/Packages.gz404 Not Found
> > Failed to fetch
> http://ports.ubuntu.com/ubuntu-ports/dists/feisty/main/source/Sources.gz404 Not Found
> > Failed to fetch
> http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-security/main/binary-ia64/Packages.gz404 Not Found
> > Failed to fetch
> http://ports.ubuntu.com/ubuntu-ports/dists/feisty/restricted/source/Sources.gz404 Not Found
> > Failed to fetch
> http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-security/restricted/binary-ia64/Packages.gz404 Not Found
> > Failed to fetch
> http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-updates/main/binary-ia64/Packages.gz404 Not Found
> > Failed to fetch
> http://ftp.esat.net/mirrors/archive.ubuntu.com/dists/feisty-updates/restricted/binary-ia64/Packages.gz404 Not Found
> > Failed to fetch
> http://ports.ubuntu.com/ubuntu-ports/dists/feisty-updates/main/source/Sources.gz404 Not Found
> > Failed to fetch
> h...

Read more...

Bolek (bmynars) wrote :
Download full text (12.4 KiB)

No go. After switching to main repository and reloading it, I see following
error box:

Could not download all repository indexes

The repository might be no longer available or could not be contacted
because of network problems. If available an older version of the failed
index will be used. Otherwise the repository will be ignored. Check your
network connection and the correct writing of the repository address in the
preferences.

with this content:

http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-ia64/Packages.gz:
404 Not Found [IP: 91.189.88.46 80]
http://archive.ubuntu.com/ubuntu/dists/feisty/main/binary-ia64/Packages.gz:
404 Not Found [IP: 91.189.88.45 80]
http://archive.ubuntu.com/ubuntu/dists/feisty-security/main/binary-ia64/Packages.gz:
404 Not Found [IP: 91.189.88.45 80]
http://archive.ubuntu.com/ubuntu/dists/feisty-security/restricted/binary-ia64/Packages.gz:
404 Not Found [IP: 91.189.88.45 80]
http://archive.ubuntu.com/ubuntu/dists/feisty-updates/main/binary-ia64/Packages.gz:
404 Not Found [IP: 91.189.88.45 80]
http://archive.ubuntu.com/ubuntu/dists/feisty-updates/restricted/binary-ia64/Packages.gz:
404 Not Found [IP: 91.189.88.45 80]

Trying to run update-manager -d produces this:

Getting upgrade prerequisites failed

The system was unable to get the prerequisites for the upgrade. The upgrade
will abort now and restore the original system state.

Please report this as a bug against the 'update-manager' package and include
the files in /var/log/dist-upgrade/ in the bugreport.

Content in /var/log/dist-upgrade/main.log:

$=> cat main.log
2008-01-02 11:28:17,786 INFO release-upgrader version '0.81' started
2008-01-02 11:28:18,703 DEBUG lsb-release: 'feisty'
2008-01-02 11:28:18,703 DEBUG _pythonSymlinkCheck run
2008-01-02 11:28:19,380 DEBUG checkViewDepends()
2008-01-02 11:28:19,380 DEBUG getRequiredBackports()
2008-01-02 11:28:22,247 ERROR IOError in cache.update(): 'Failed to fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.45 80]
Failed to fetch
http://archive.ubuntu.com/ubuntu/dists/feisty/main/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.46 80]
Failed to fetch
http://archive.ubuntu.com/ubuntu/dists/feisty-security/main/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.46 80]
Failed to fetch
http://archive.ubuntu.com/ubuntu/dists/feisty-security/restricted/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.46 80]
Failed to fetch
http://archive.ubuntu.com/ubuntu/dists/feisty-updates/main/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.46 80]
Failed to fetch
http://archive.ubuntu.com/ubuntu/dists/feisty-updates/restricted/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.46 80]
'. Retrying (currentRetry: 0)
2008-01-02 11:28:24,874 ERROR IOError in cache.update(): 'Failed to fetch
http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.46 80]
Failed to fetch
http://archive.ubuntu.com/ubuntu/dists/feisty/main/binary-ia64/Packages.gz404
Not Found [IP:
91.189.88.45 80]
Failed to fetch
http://archive.ubuntu.com/ubu...

Cunner (conrad-wolf) wrote :

In my case the problem went away by itself after a few days. I just tried to update again after a week or so without changing anything and it worked like a charm. This was on 2 different machines! Unfortunately I've no idea what did the trick. Maybe something was changed on the servers.

Good luck to you guys!

In my case too the problem went away by itself.
I just tried to update again after 1-2 hours and
it work fine. Hope soon it works for your too.

Thanks.

On Jan 7, 2008 9:29 AM, Cunner <email address hidden> wrote:
> In my case the problem went away by itself after a few days. I just
> tried to update again after a week or so without changing anything and
> it worked like a charm. This was on 2 different machines! Unfortunately
> I've no idea what did the trick. Maybe something was changed on the
> servers.
>
> Good luck to you guys!
>
> --
>
> 7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
> https://bugs.launchpad.net/bugs/153980
> You received this bug notification because you are a direct subscriber
> of the bug.
>

impert (cwallace-free) wrote :

This link may help

http://ubuntuforums.org/showthread.php?t=595440&page=3

See posts 19 and 23

Bolek (bmynars) wrote :

Thanks for suggestion. I will certainly pursue any leads while I'm back in
the office.

On Jan 12, 2008 5:56 PM, impert <email address hidden> wrote:

> This link may help
>
> http://ubuntuforums.org/showthread.php?t=595440&page=3
>
> See posts 19 and 23
>
> --
> 7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
> https://bugs.launchpad.net/bugs/153980
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--

Bolek,
Monmouth Junction, NJ

anthony (ah-stutchbury) wrote :

downloaded K7.10 ".iso" file and from it created K7.10 'recovery' disc.
After three attempts loaded successfully on my old NEC SL Powermate ES hitherto still running W98SE - RAM 256MB.
Downloaded 130 upgrades (red triangle).
Invited to upgrade again - (different window) - message 'Getting upgrade prerequisite failed- report bug against 'update manager' - include files in /var/log/dist-upgrade.

(As you can see, I'm new to all this!)

Zach Smestad (zsmestad) wrote :

I had this problem on a fresh install of 7.04. The problem was that it wanted to use <us.archive.ubuntu.com> regardless of what I set in sources.list. I added the following to /etc/hosts as a workaround:

91.189.88.46 us.archive.ubuntu.com

as per: <https://help.ubuntu.com/community/UpgradeProblems>

If you are not in the US, just replace the URL with the one you are having problems with.

This points <us.archive.ubuntu.com> to <archive.ubuntu.com> (feel free to double check the IP by running "host archive.ubuntu.com" at the command line or doing what it says in the "UpgradeProblems" URL).

I hope this helps, though I'd like to know where it's getting <us.archive.ubuntu.com> from.

Michael Vogt (mvo) wrote :

Thanks for your feedback.

Unfortunately the error message is the same for some different problems. Some outside of the control of update-manager (e.g. if mirrors are not available or if there are network/proxy issues).

For hardy we worked on the robustness of the tool and a lot of the problems should be fixed. One of the issues in update-manager we discovered is that if you have "APT::Get::AllowUnauthenticated" set to true in /etc/apt/apt.conf the upgrade will not work. This is a bug in update-manager and a fix is prepeared in #195419 (thanks to Kolbjørn Barmen for helping finding it). As a workaround for this particular problem, just unset this before the upgrade and then it should work.

Cheers,
 Michael

Michael Rivera (rivera) wrote :

Am Montag, den 25. Februar 2008 schrubte Michael:

> discovered is that if you have "APT::Get::AllowUnauthenticated" set to
> true in /etc/apt/apt.conf the upgrade will not work. This is a bug in
> update-manager and a fix is prepeared in #195419 (thanks to Kolbjørn

Das schrieb ich doch schon am 25.10.2007 ;-)
Schön das es für Hardy behoben wird.
Danke.

PS: Nein, das ist kein Vorwurf oder so. :-)

--
    <) .--.
    )#=+ '
   /## | .+. Liebe Grüsse,
,,/###,|,,,,,,|,,,, Michael

Itsuki (itsu-kia) wrote :
Download full text (3.4 KiB)

<email address hidden>:
> One of the issues in update-manager we
> discovered is that if you have "APT::Get::AllowUnauthenticated" set to
> true in /etc/apt/apt.conf the upgrade will not work.

Thank you very much for your answer...unfortunately, I'm a newbie to
Linux, I've never seen this OS before, I was a Windows XP user (but
now I am tired about microsoft and I want to change), so I really
don't know how to configure linux, nor kubuntu.
So, please, could you tell me WHERE or HOW should I set "false" the
"APT::Get::AllowUnauthenticated", in order to update my adept?? I've
opened Adept manager but there are no clues about this option in the
GUI...maybe should I execute some commands in the terminal?? If yes,
which strings or commands?

I have kubuntu 7.10, I've just installed and I want to update some
programs, like kopete, for example, or install amsn, but since it
doesn't work i'm afraid I cannot do nothing!!

Thank you very much for reading, and more thanks if you will give
answers to me!!

Bye and good job!

2008/2/25, Michael Vogt <email address hidden>:
> Thanks for your feedback.
>
> Unfortunately the error message is the same for some different problems.
> Some outside of the control of update-manager (e.g. if mirrors are not
> available or if there are network/proxy issues).
>
> For hardy we worked on the robustness of the tool and a lot of the
> problems should be fixed. One of the issues in update-manager we
> discovered is that if you have "APT::Get::AllowUnauthenticated" set to
> true in /etc/apt/apt.conf the upgrade will not work. This is a bug in
> update-manager and a fix is prepeared in #195419 (thanks to Kolbjørn
> Barmen for helping finding it). As a workaround for this particular
> problem, just unset this before the upgrade and then it should work.
>
> Cheers,
> Michael
>
> --
> 7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
> https://bugs.launchpad.net/bugs/153980
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "update-manager" in Ubuntu: Confirmed
>
> Bug description:
> Update 19/10/07:
> 24 hours after release of 7.10, and after several unsuccessful updates in that time period, I have tried the update again, and it appears to be working -- after no changes from me. Is it possible that these errors were generated by server-side file problems? Perhaps certain mirrors generated problems for people, and those mirrors have since been fixed? Perhaps some of the people below with different error logs still have problems due to different bugs? In any case I suggest that whatever bug I experienced be dealt with before it hits the wrong CEO in the next release :)
>
> Original description:
> Binary package hint: update-manager
>
> Upgrading Ubuntu 7.04 to 7.10 with the "Upgrade" button. The speed of download was very slow even though the speed of download from my chosen update source was very fast.
>
> "Getting upgrade prerequisites failed
>
> The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.
>
> Please report this a...

Read more...

jarumpf (jarumpf) wrote :
Download full text (5.2 KiB)

Dear Itsuki,

Linux is some ways is not very different than Windows.

In the instructions given, you are asked to edit a configuration text file.
Text files are easy to edit with the program "gedit"

You can do this is done in a terminal window.

From the menu you will open a terminal window (sort of like the Run cmd
command in Windows)

Applications - Accessories - Terminal

This opens the terminal window to allow you to enter commands.

You have to open the file 'apt.conf' that is located in the directory
/etc/apt/

To do this, enter the command to open the file with the editor program
"gedit" or "kedit" for kubuntu. Substitute kedit for gedit in the following
instructions if you use kedit instead of gedit.

Enter the follow into the terminal window;
sudo gedit /etc/apt/apt.conf

The "sudo' command will allow you to edit the file as the "super user". You
will be asked for your password so that you can be elevated to super user
status for the terminal session.
"gedit" will start the text editor program.
"/etc/apt/apt.conf' will open the file that needs to be edited.

Make the changes and then save the file.

That is all there is to it. It is not complicated. You just have to have
courage and confidence that you can do it. After a while, you will realize
how simple and straight forward this method is.

I hope this explanation helps.

Best regards

On Mon, Feb 25, 2008 at 5:22 PM, Itsuki <email address hidden> wrote:

> <email address hidden>:
> > One of the issues in update-manager we
> > discovered is that if you have "APT::Get::AllowUnauthenticated" set to
> > true in /etc/apt/apt.conf the upgrade will not work.
>
> Thank you very much for your answer...unfortunately, I'm a newbie to
> Linux, I've never seen this OS before, I was a Windows XP user (but
> now I am tired about microsoft and I want to change), so I really
> don't know how to configure linux, nor kubuntu.
> So, please, could you tell me WHERE or HOW should I set "false" the
> "APT::Get::AllowUnauthenticated", in order to update my adept?? I've
> opened Adept manager but there are no clues about this option in the
> GUI...maybe should I execute some commands in the terminal?? If yes,
> which strings or commands?
>
> I have kubuntu 7.10, I've just installed and I want to update some
> programs, like kopete, for example, or install amsn, but since it
> doesn't work i'm afraid I cannot do nothing!!
>
> Thank you very much for reading, and more thanks if you will give
> answers to me!!
>
> Bye and good job!
>
>
>
>
> 2008/2/25, Michael Vogt <email address hidden>:
> > Thanks for your feedback.
> >
> > Unfortunately the error message is the same for some different
> problems.
> > Some outside of the control of update-manager (e.g. if mirrors are not
> > available or if there are network/proxy issues).
> >
> > For hardy we worked on the robustness of the tool and a lot of the
> > problems should be fixed. One of the issues in update-manager we
> > discovered is that if you have "APT::Get::AllowUnauthenticated" set to
> > true in /etc/apt/apt.conf the upgrade will not work. This is a bug in
> > update-manager and a fix is prepeared in #195419 (thanks to Kolbjørn
> >...

Read more...

Bill Hung (billhung) wrote :

I have the same error with 7.04. I made sure all the packages are up-to-date, but when I tried to update to 7.10. There's this same error.

And /etc/apt/apt.conf doesn't exist for me. =(

Bill Hung (billhung) wrote :

changing the source of my packages eventually solved my problem. Everything is working now.

gthomas (gbedford14) wrote :

I guess this isn't the same problem, so i'm posting a separate question as well, but when I attempt to upgrade from 7.04 to 7.10 I'm told that several links are broken, e.g.:
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/main/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80], among other unfound links (see below).

When I looked at the specified link via browser it gave the same 404 message.

It doesn't seem that this could be due to something systemic on my end, but I'm new to loading Linux, so you never know. (I've used and am very comfortable with Unix in institutional settings, but new to being root.)

Here's the list of (8) complaints I get from Update Manager:

Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/main/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/restricted/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/main/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/restricted/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/universe/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/universe/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/multiverse/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty/multiverse/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]

Vlad (phanokl) wrote :
Download full text (3.1 KiB)

My MAIN FILE from /var/log/dist-upgrade (numerous attempts to finalise updating Feisty and jump to Gutsy ends with that same "nothing" (before end of support 7.04 I did that easy, but unfortunately I lost my system, so after re-installing Feisty I suddenly faced this problem).
Location - Russia, System - notebook based on Via motherboard with AMD Sempron 2600+,
Ubuntu 7.04 for i-386

2009-02-18 01:51:23,163 INFO release-upgrader version '0.81' started
2009-02-18 01:51:23,651 DEBUG lsb-release: 'feisty'
2009-02-18 01:51:23,652 DEBUG _pythonSymlinkCheck run
2009-02-18 01:51:25,357 DEBUG checkViewDepends()
2009-02-18 01:51:25,358 DEBUG getRequiredBackports()
2009-02-18 01:51:26,029 ERROR IOError in cache.update(): 'Failed to fetch http://ru.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found [IP: 77.88.19.74 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/restricted/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/main/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/multiverse/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/universe/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
'. Retrying (currentRetry: 0)
2009-02-18 01:51:26,599 ERROR IOError in cache.update(): 'Failed to fetch http://ru.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found [IP: 77.88.19.74 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/restricted/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/main/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/multiverse/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/universe/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
'. Retrying (currentRetry: 1)
2009-02-18 01:51:27,211 ERROR IOError in cache.update(): 'Failed to fetch http://ru.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found [IP: 77.88.19.74 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/restricted/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/main/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/multiverse/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-proposed/universe/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
'. Retrying (currentRetry: 2)
2009-02-18 01:51:27,212 ERROR doUpdate() failed complettely
2009-02-18 01:51:28,982 ERROR Can not find backport 'release-u...

Read more...

curmudgeon (mfbwanm02) wrote :

I am getting the same error when trying to upgrade from 7.04 to 7.10

The problem seems to be that something in update manager is replacing the file:
/etc/apt/sources.list.d/prerequists-sources.list
(no typo - that is the filename...)
with one that has hardcoded the us.archive.ubuntu.com repo.
and us.archive.ubuntu.com has no longer the 7.04 feisty packages

I have already replaced all in /etc/apt/sources.list with old-releases.ubuntu.com
I even replaced the entry in /etc/apt/sources.list.d/prerequists-sources.list, but update manager replaces that whole file.

curmudgeon (mfbwanm02) wrote :

additional:
found in tmp dir created by update manager file: prerequists-sources.list

containing:

# sources.list fragment for pre-requists (one with countrymirror, one fallback)
deb http://${countrymirror}archive.ubuntu.com/ubuntu feisty-backports main/debian-installer
#deb http://archive.ubuntu.com/ubuntu feisty-backports main/debian-installer
# below is just for testing
#deb http://archive.dogfood.launchpad.net/ubuntu feisty-backports main/debian-installer

curmudgeon (mfbwanm02) wrote :

from /var/log/dist-upgrade/main.log :

2009-02-24 21:56:48,234 INFO release-upgrader version '0.81' started
2009-02-24 21:56:54,230 DEBUG lsb-release: 'feisty'
2009-02-24 21:56:54,231 DEBUG _pythonSymlinkCheck run
2009-02-24 21:56:57,190 DEBUG checkViewDepends()
2009-02-24 21:56:57,191 DEBUG getRequiredBackports()
2009-02-24 21:56:59,082 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found
'. Retrying (currentRetry: 0)
2009-02-24 21:57:01,108 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found
'. Retrying (currentRetry: 1)
2009-02-24 21:57:03,145 ERROR IOError in cache.update(): 'Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz 404 Not Found
'. Retrying (currentRetry: 2)
2009-02-24 21:57:03,145 ERROR doUpdate() failed complettely
2009-02-24 21:57:10,852 ERROR Can not find backport 'release-upgrader-apt'

so - tried adding :
# 91.189.88.35 is old-releases.ubuntu.com
91.189.88.35 us.archive.ubuntu.com
 to /etc/hosts to try and fool it ...

did not work - so tried a command line wget to test:
# wget http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz
--21:59:35-- http://us.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-installer/binary-i386/Packages.gz
           => `Packages.gz'
Resolving us.archive.ubuntu.com... 91.189.88.35
Connecting to us.archive.ubuntu.com|91.189.88.35|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
21:59:35 ERROR 404: Not Found.

same in browser - using old-releases works, using us.archive fails even with hosts entry.
tried ftp hoping to get around apache vhosts, same problem.

so - just speculating - it appears that the fix is to fix that actual package
the file is apparently from: .../gutsy/main/dist-upgrader-all/current/gutsy.tar.gz
offending file is: prerequists-sources.list
change line:
deb http://${countrymirror}archive.ubuntu.com/ubuntu feisty-backports main/debian-installer
to:
deb http://old-releases.ubuntu.com/ubuntu feisty-backports main/debian-installer

curmudgeon (mfbwanm02) wrote :

tried doing that by hand (in the tmp dir: edit prerequists-sources.list , then run ./dist-upgrade.py ), but it fails later with the error box copied below.

code wants to get gutsy from same place as feisty ...

-----
Error during update

A problem occured during the update. This is usually some sort of network problem, please check your network connection and retry.

Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy/main/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy/restricted/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy/universe/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy/multiverse/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-updates/main/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-updates/restricted/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-updates/universe/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-updates/multiverse/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-security/main/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-security/restricted/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-security/universe/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-security/multiverse/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-backports/main/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-backports/restricted/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-backports/universe/binary-i386/Packages.gz 404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/gutsy-backports/multiverse/binary-i386/Packages.gz 404 Not Found

sean darcy (seandarcy) wrote :

do-release-upgrade clobbers prerequists-sources.list regardless of permissions. So I mounted /etc/apt/sources.list.d as read only loop device. It didn't work, but it does show where DistUpgradeControler.py starts messing with it.

I don't know enough/any python to fix this, but it sure does seem it would be that tough for such a crucial part of the ubuntu infrastructure. As it is now, once a release goes off archive.ubuntu.com, it can't be network upgraded.

A fatal error occured
Please report this as a bug and include the files /var/log/dist-upgrade/main.log and /var/log/dist-upgrade/apt.log in your report. The upgrade aborts now.
Your original sources.list was saved in /etc/apt/sources.list.distUpgrade.
Traceback (most recent call last):

  File "/tmp/tmpjg9FjS/gutsy", line 59, in <module>
    app.run()

  File "/tmp/tmpjg9FjS/DistUpgradeControler.py", line 1346, in run
    self.fullUpgrade()

  File "/tmp/tmpjg9FjS/DistUpgradeControler.py", line 1251, in fullUpgrade
    if not self.getRequiredBackports():

  File "/tmp/tmpjg9FjS/DistUpgradeControler.py", line 1140, in getRequiredBackports
    outfile = open(os.path.join(apt_pkg.Config.FindDir("Dir::Etc::sourceparts"), sourceslistd), "w")

IOError: [Errno 30] Read-only file system: '/etc/apt/sources.list.d/prerequists-sources.list'

Ante Karamatić (ivoks) wrote :

Working solution:

1. rm -rf /tmp/tmp*
2. run do-release-upgrade (it will fail)
3. rm /etc/apt/sources.list.d/prerequists-sources.list
4. cd /tmp/(some random string)
4. edit prerequists-sources.list and replace ${countrymirror}archive with old-releases
5. ./gutsy --mode server
6. follow the instructions on the screen

sean darcy (seandarcy) wrote :

I did find a work around posted at:

https://help.ubuntu.com/community/EOLUpgrades

I didn't try it since it seems to have lots of opportunities to break your system, But YMMV.

Ante Karamatić (ivoks) wrote :

U Ned, 01. 03. 2009., u 15:30 +0000, sean darcy je napisao/la:
> I did find a work around posted at:
>
> https://help.ubuntu.com/community/EOLUpgrades

This is wrong and doesn't work (at least 7.04->7.10 part).

Tomasz Finc (tomasz-gmail) wrote :

As I noted in bug #337553. Why don't we just fix

http://archive.ubuntu.com/ubuntu/dists/gutsy/main/dist-upgrader-all/current/gutsy.tar.gz

with the correct address for feisty in prerequists-sources.list and not need any of the hacky solutions that are out there.

Joe (jallenbradley) wrote :

Hi, Same problem here. sources.list is overridden in upgrade process.

I tried Ante's solution (quoted below), but it didn't work for me. More of the same. For the record, the error was:

Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-updates/universe/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-updates/multiverse/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]

If anyone has further suggestions for workarounds, I'd like to hear them. For the record, I hope Tomasz's idea is implemented and works.

Cheers,
Joe

>>Working solution:

>>1. rm -rf /tmp/tmp*
>>2. run do-release-upgrade (it will fail)
>>3. rm /etc/apt/sources.list.d/prerequists-sources.list
>>4. cd /tmp/(some random string)
>>4. edit prerequists-sources.list and replace ${countrymirror}archive with old-releases
>>5. ./gutsy --mode server
>>6. follow the instructions on the screen

Ante Karamatić (ivoks) wrote :

U Ned, 08. 03. 2009., u 19:43 +0000, Joe je napisao/la:

> I tried Ante's solution (quoted below), but it didn't work for me. More
> of the same. For the record, the error was:
>
> Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-updates/universe/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
> Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty-updates/multiverse/binary-i386/Packages.gz 404 Not Found [IP: 91.189.88.45 80]

This sounds like you didn't do it right. Copy paste:

rm -rf /tmp/tmp*
do-releases-upgrade
rm -rf /etc/apt/sources.list.d/prerequists-sources.list
cd /tmp/tmp*
sed -i -e 's/${countrymirror}archive/old-releases/' \
prerequists-sources.list
./gutsy --mode server

Take care

Joe (jallenbradley) wrote :

Sorry, that's not it. I ran it again, copying (except for the typo in the do-release-upgrade line) the text word for word. Same error message.

I _do_ find it weird that I don't have a prerequists-sources.list file in /etc/apt/sources.list.d

Instead, I have a whole bunch of old dapper and edgy repository addresses (inside six or so different files), which could be what's screwing this up (I think maybe do-release-update or ./gutsy is rewriting these addresses with 'feisty' in place of 'dapper' or 'edgy'). I tried deleting them, and editing them by hand, but both of those attempted solutions didn't work.

also, I have sources.list~ and sources.list~~ in the directory as well, and they have deb http://us.archive.ubuntu.... entries as well.

If I could just get my hands on a workable list of contents of /etc/apt/ that contain repository information, I could replace the current files in there, and I bet this would all work, but I don't know where to get such a thing.

Anyway, thanks for the help.

Joe (jallenbradley) wrote :

Thought I would just attach a copy of the contents of my /etc/apt in case anyone was interested. If anyone has any suggestions, I'm all ears.

Cheers,
Joe

Alex Muntada (alex.muntada) wrote :

@Joe, Follow these steps (they worked for me last week):

1. Make sure that the /etc/apt/sources.list.d is empty (move files to anywhere else, if needed).

2. Make your /etc/apt/sources.list look like this:

#deb http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
#deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
#deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
#deb http://archive.ubuntu.com/ubuntu feisty-security main restricted universe multiverse

deb http://old-releases.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu feisty-security main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu feisty-backports main/debian-installer

3. Install latest feisty versions available from old-releases:

sudo apt-get update && sudo apt-get dist-upgrade

4. Start upgrade to gutsy:

sudo do-release-upgrade

5. When asked if sources.list should be overwritten, open a new terminal and change your sources.list like this (i.e. uncomment archive and comment old-releases):

deb http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu feisty-security main restricted universe multiverse

#deb http://old-releases.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
#deb http://old-releases.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
#deb http://old-releases.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
#deb http://old-releases.ubuntu.com/ubuntu feisty-security main restricted universe multiverse
#deb http://old-releases.ubuntu.com/ubuntu feisty-backports main/debian-installer

6. Say yes to overwrite sources.list and let the upgrade begin.

HTH

Eva (cody-1976) wrote :

March 2009

Ubuntu 8.04

During a recent update, several programs are unable to contact Internet servers using DNS names.

Using ping to the internal side of the ADSL router and to the internet servers are OK.

To be able to get new updates from apt-get, I have change in the /etc/apt/sources.list the server name with the IP of the server.
My understanding is that if I get updates, I will get some fixes ;-)

example /etc/apt/sources.list:

# deb cdrom:[Ubuntu 7.10 _Gutsy Gibbon_ - Release i386 (20071016)]/ gutsy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
# ftp.free.fr

# OLD LINE: deb ftp:// ftp.free.fr/mirrors/ftp.ubuntu.com/ubuntu/ hardy main
deb ftp://212.27.60.27/mirrors/ftp.ubuntu.com/ubuntu/ hardy main

rojas (rojas-math) wrote :

Dear Gurus,

I tried the suggested fix and it only NEARLY worked for me:
I got the following error:

> Not enough free disk space
> The upgrade aborts now. The upgrade needs a total of 2416M free
> space on disk '/'. Please free at least an additional 842M of disk space > on '/'. Empty your trash and remove temporary packages of former
> installations using 'sudo apt-get clean'.
>
> Restoring original system state
>
> Aborting
> Reading package lists: Done
> Reading state information: Done
> Reading state information: Done
> Reading state information: Done

I've already thrown out over 4Gb from my home directory but
I still get the error. Does anyone have any suggestions?
I've spent all day trying to upgrade to 7.10 from 7.04 but
I just can't get it past this state.

(Sorry if this isn't the write place to post questions but I couldn't
find where to submit questions on the web-page for this bug.)

Thanks in advance,

Maurice

Alex Muntada (alex.muntada) wrote :

@Maurice: if /boot is on its own partition, make sure that it has enough available space too; about 50-60 MB should do IIRC.

Eskil Heyn Olsen (eskil) wrote :

I was able to use the steps in comment https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/153980/comments/81, but I had to NOT do the edit in step 5.

It seems like most of the trouble with upgrading an old 7.04 is because of the files being on old-releases.ubuntu.com instead of archive.ubuntu.com now.

Eskil Heyn Olsen (eskil) wrote :

Then to continue with the next do-release-upgrade, I had to edit /etc/apt/sources.list to ;

deb http://archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu gutsy-security main restricted universe multiverse

Joe (jallenbradley) wrote :

Ugh...Still no luck for me. I get through Alex's step 3 OK, I think, but now running

sudo do-release-upgrade

nets me the following

*-----------------------------------------

Checking for a new ubuntu release
Failed Upgrade tool signature
Failed Upgrade tool
Done downloading
extracting '/tmp/tmp62d1Q5/gutsy.tar.gz'
Traceback (most recent call last):
  File "/usr/bin/do-release-upgrade", line 45, in <module>
    fetcher.run()
  File "/usr/lib/python2.5/site-packages/UpdateManager/Core/DistUpgradeFetcherCore.py", line 160, in run
    if not self.extractDistUpgrader():
  File "/usr/lib/python2.5/site-packages/UpdateManager/Core/DistUpgradeFetcherCore.py", line 98, in extractDistUpgrader
    tar = tarfile.open(self.tmpdir+"/"+os.path.basename(self.uri),"r")
  File "/usr/lib/python2.5/tarfile.py", line 1139, in open
    return func(name, "r", fileobj)
  File "/usr/lib/python2.5/tarfile.py", line 1200, in gzopen
    fileobj = file(name, mode + "b")
IOError: [Errno 2] No such file or directory: '/tmp/tmp62d1Q5/gutsy.tar.gz'

*-----------------------------

There is a /tmp/tmp62d1Q5/ directory, but it's empty.

I'm at a loss. Anybody who has a bright idea will become my new best friend. Because of this, I can't upgrade flash, so I've lost a bunch of web functionality, and I just generally feel like a lame-o.

Cheers,
Joe

Alex Muntada (alex.muntada) wrote :

@Joe I'm afraid that the upgrade from feisty has become even more difficult since Apr 18, gutsy's end of life.

Before performing any of the steps below, make sure you have full backups of your current system. Since I haven't tried these new steps, I'm just guessing.

Instead of running do-release-upgrade, you'll have to try this:

sudo -i
mkdir /tmp/upgrade-to-gutsy
cd /tmp/upgrade-to-gutsy
wget http://old-releases.ubuntu.com/ubuntu/dists/gutsy/main/dist-upgrader-all/current/gutsy.tar.gz
tar zxf gutsy.tar.gz
./gutsy --help

I'm not sure which should be the best options in your case, but you could try (YMMV):

./gutsy --mode=desktop --frontend=DistUpgradeViewGtk --with-network

The remaining steps would be the same I gave previously.

Hope that helps!

Alex Muntada (alex.muntada) wrote :

Now, I'm wondering whether it wouldn't be easier to add in /etc/hosts an entry for a.u.c. It should work as long as the URL are preserved:

# temporarily make a.u.c point to old-releases
91.189.88.35 archive.ubuntu.com

This way, do-release-upgrade should work now that both feisty and gutsy are in old-releases. However, upgrading from gutsy to hardy will need the work-around I described in https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/153980/comments/81 adapted to gutsy/hardy.

BTW, make sure you remove the hosts entry once the upgrade is performed.

Wesley Schwengle (wesleys) wrote :

@ Sean darcy https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/153980/comments/74

As the author of EOLupgrades I can tell you, the procedure is a good as the normal upgrade process when a system is supported.

to be removed (liw) wrote :

This seems to have no comments about the originalr problem for more than a year, or duplicates, just discussion about how to deal with a release that has reached its end-of-life. May I suggest the bug is assumed to be fixed?

I can only speak for myself and I don't know if it was fixed or deprecated
or what. I solved my problem by using windows xp instead :)

On Wed, Oct 7, 2009 at 9:53 AM, Lars Wirzenius <email address hidden> wrote:

> This seems to have no comments about the originalr problem for more than
> a year, or duplicates, just discussion about how to deal with a release
> that has reached its end-of-life. May I suggest the bug is assumed to be
> fixed?
>
> --
> 7.04->7.10 "Upgrade" fails: "Getting upgrade prerequisites failed"
> https://bugs.launchpad.net/bugs/153980
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Wesley Schwengle (wesleys) wrote :

@Lars

The upgrade is documented here: https://help.ubuntu.com/community/EOLUpgrades/Feisty

I think it is safe to close the bug. Don't think many people are running 7.04. I think I received 3 e-mails regarding the 7.04 to 7.10 upgrade and all of them have upgraded successfully.
If problems occur most of them will probably upgrade by doing a fresh install of whatever release they picked, since the upgrade cycle to the most current release is 5 upgrades.. Unless they stay at LTS.

to be removed (liw) on 2009-10-08
Changed in update-manager (Ubuntu):
status: Confirmed → Fix Released
loomy (loomy) wrote :

I don't know if there is a more appropriate name available, but Fix Released isn't accurate :)

You're closing it because nobody uses Ubuntu 7.04 anymore, not because the problem was fixed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers